<?php

namespace Modules\Admin\Countries;

class View_Options extends \App\Mvc\View_Window_PaginatedListing_OptionsAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_OptionsAbstract::populateDefinedOptions()
	 */
	public function populateDefinedOptions(\App\Mvc\View\Utils\RowOptions\Container\Simple $options)
	{
		$options
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Insert::create("insert")
				->setDescription($this->lang['index']['options']['description']['insert'])
				->setDimensions(600, 450)
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Popup\Update::create("update")
				->setDescription($this->lang['index']['options']['description']['update'])
				->setDimensions(600, 450)
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\Delete::create("delete")
				->setDescription($this->lang['index']['options']['description']['delete'])
			)
			->append(\App\Mvc\View\Utils\RowOptions\Option\DeleteSelected::create("delete")
				->setDescription($this->lang['index']['options']['description']['delete'])
			)
		;
	}

}
